> ## Documentation Index
> Fetch the complete documentation index at: https://formbnb.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Form Submissions

> Get all submissions for a form with pagination and filtering.



## OpenAPI

````yaml GET /forms/{id}/submissions
openapi: 3.1.0
info:
  title: FormBnB API
  version: 1.0.0
  description: API for FormBnB - Form backend as a service
servers:
  - url: https://api.formbnb.com
security: []
paths:
  /forms/{id}/submissions:
    get:
      tags:
        - Forms
        - Submissions
      summary: List form submissions
      description: Get all submissions for a form with pagination and filtering.
      parameters:
        - schema:
            type: string
            description: Form ID
          required: true
          name: id
          in: path
        - schema:
            type: string
            description: Maximum number of submissions to return
          required: false
          name: limit
          in: query
        - schema:
            type: string
            description: Number of submissions to skip
          required: false
          name: offset
          in: query
        - schema:
            type: string
            description: Filter submissions since this date (ISO 8601)
          required: false
          name: since
          in: query
        - schema:
            type: string
            description: Sort order (asc/desc)
          required: false
          name: order
          in: query
      responses:
        '200':
          description: List of submissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListSubmissionsResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Form not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ListSubmissionsResponse:
      type: object
      properties:
        submissions:
          type: array
          items:
            $ref: '#/components/schemas/Submission'
        total:
          type: number
        limit:
          type: number
        offset:
          type: number
      required:
        - submissions
        - total
        - limit
        - offset
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
      required:
        - error
    Submission:
      type: object
      properties:
        id:
          type: string
          format: uuid
        data:
          type: object
          additionalProperties:
            nullable: true
        createdAt:
          type: string
        ipHash:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        region:
          type: string
          nullable: true
        regionCode:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        continent:
          type: string
          nullable: true
        latitude:
          type: string
          nullable: true
        longitude:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
        timezone:
          type: string
          nullable: true
        os:
          type: string
          nullable: true
        browser:
          type: string
          nullable: true
        device:
          type: string
          nullable: true
        userAgent:
          type: string
          nullable: true
        referrer:
          type: string
          nullable: true
        utmCampaign:
          type: string
          nullable: true
        utmSource:
          type: string
          nullable: true
      required:
        - id
        - data
        - createdAt
        - ipHash
        - city
        - region
        - regionCode
        - country
        - continent
        - latitude
        - longitude
        - postalCode
        - timezone
        - os
        - browser
        - device
        - userAgent
        - referrer
        - utmCampaign
        - utmSource
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT or API Key
      description: >-
        Authentication using either a FormBnB session JWT (issued by /auth) or
        an API key (prefixed with sk_). Both token types are passed as Bearer
        tokens in the Authorization header.

````